View Issue Details

IDProjectCategoryView StatusLast Update
0002150FreeCADBugpublic2015-12-15 13:15
ReporterbrycenesbittAssigned Towmayer 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbutnuOS VersionUbuntu 14.04.2 L
Product Version 
Target VersionFixed in Version0.16 
Summary0002150: [Ctrl]+[Z] is buffered in a non-intuitive way, does not function in "edit mode"
DescriptionThe operation of [Ctrl]+[Z] behaves in a way that's unexpected, in edit mode. Basically it does not work in edit mode, but stores up the event for later.

Steps To ReproduceI entered the "part" workbench.
Placed a torus.
Selected the torus.
Toggled edit mode.
Rotated the torus.
Rotated the torus.
Rotated the torus.
Pressed [Ctrl]+[Z] which did nothing.
Toggled edit mode.

At that point the [Ctrl]+[Z] command took effect, and I got the state one rotation prior to the end point.
Additional InformationOS: Ubuntu 14.04.2 LTS
Platform: 64-bit
Version: 0.14.2935 (Git)
Branch: master
Hash: eab159b6ee675012bf79de838c206a311e911d85
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
SoQt version: 1.6.0a
OCC version: 6.7.0
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2015-06-05 05:05 brycenesbitt New Issue
2015-09-12 14:03 wmayer Status new => confirmed
2015-09-15 12:30 wmayer Changeset attached => FreeCAD Master master b28680f3
2015-09-15 12:30 wmayer Assigned To => wmayer
2015-09-15 12:30 wmayer Status confirmed => closed
2015-09-15 12:30 wmayer Resolution open => fixed
2015-12-15 13:15 yorik Fixed in Version => 0.16